lab7JQuery/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('landingPage.urls')),
    path("library/", include('library.urls')),
    path("user/", include('login.urls'))
]

landingPage/urls.py
from django.urls import path
from landingPage import views

app_name = "landingPage"

urlpatterns = [
    path('', views.index, name='index'),
    path('add/', views.add, name='add'),
    path('about/', views.about, name='about'),
]

library/urls.py
from django.urls import path
from library import views

app_name= "library"

urlpatterns = [
    path('', views.library_index, name="index")
]

login/urls.py
from django.contrib import admin
from django.urls import path, include
from login import views

app_name ='login'

urlpatterns = [
    path('login/', views.login_index, name="login"),
]

landingPage/models.py
from django.db import models

# Create your models here.
class Status(models.Model):
    status = models.CharField(max_length=300)
    timestamp = models.DateTimeField(auto_now_add=True)

    def __str__(self):
        return '%s' % (self.status)

library/models.py
from django.db import models

# Create your models here.

login/models.py
from django.db import models

# Create your models here.

landingPage/forms.py
from django import forms
from .models import Status

class FormStatus(forms.ModelForm):
    class Meta():
        model = Status
        fields = ['status']
        widgets = {
            'status' : forms.TextInput(
                attrs = {
                    'class' : 'form-control',
                    'placeholder': 'Aku Lagi Pengen Mie Ayam Nih..',
                    'name' : 'status'
                },
            )
        }
        labels = {
            'status': "",
        }

landingPage/views.py
from django.shortcuts import render, redirect
from landingPage.models import Status
from landingPage.forms import FormStatus


# Create your views here.
def index(request):
    query = {
        'form' : FormStatus,
        'data' : Status.objects.order_by('-timestamp')
    }
    return render(request, 'landingPage/index.html', context=query)

def add(request):
    if request.method == 'POST':
        form = FormStatus(request.POST)

        if form.is_valid():
            form.save(commit = True)

    return redirect('/')

def about(request):
    return render(request, 'landingPage/about-me.html', {})

library/views.py
from django.shortcuts import render

# Create your views here.
def library_index(request):
    return render(request, 'library/library.html', {})

login/views.py
from django.shortcuts import render, redirect
from landingPage import views
from django.contrib.auth import authenticate, login

# Create your views here.
def login_index (request):
    if request.method == "POST":
        username = request.POST['username']
        password = request.POST['password']

        user = authenticate(request, username=username, password=password)

        if user is not None:
            login(request, user)
            return redirect("/")

    return render(request, 'login/login.html')

templates/base.html
<!DOCTYPE html>
{% load staticfiles %}
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta http-equiv="X-UA-Compatible" content="ie=edge">

        <!-- Bootsrap CSS -->
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
        <link rel="stylesheet" href="{% static 'css/landingPage.css' %}">
        <link rel="stylesheet" href="{% static 'css/base.css' %}">
        <link rel="stylesheet" href="{% static 'css/about-me.css' %}">
        <link rel="stylesheet" href="{% static 'css/library.css' %}">
        <link rel="stylesheet" href="{% static 'css/login.css' %}">

        <!-- Google Fonts -->
        
        <link href="https://fonts.googleapis.com/css?family=Staatliches&display=swap" rel="stylesheet"> 
        <!-- font-family: 'Staatliches', cursive; -->
        
        <link href="https://fonts.googleapis.com/css?family=Indie+Flower&display=swap" rel="stylesheet"> 
        <!-- font-family: 'Indie Flower', cursive; -->

        <link href="https://fonts.googleapis.com/css?family=Kaushan+Script&display=swap" rel="stylesheet"> 
        <!-- font-family: 'Kaushan Script', cursive; -->

        <link href="https://fonts.googleapis.com/css?family=Caveat&display=swap" rel="stylesheet"> 
        <!-- font-family: 'Caveat', cursive; -->


        <title>{% block title_block %}Andhika's Webpage{% endblock title_block %}</title>
    </head>
    <body>
        <nav class="navbar navbar-expand-md container-navbar navbar-light mx-auto">
            <a href="/" class="navbar-brand mr-5 ml-2" id="logo">Andhika Yusup</a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavDropdown" aria-controls="navbarNavDropdown" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNavDropdown">
                <ul class="navbar-nav ml-auto">
                    <li>
                        <a href="/" class="nav-link nav-item button-nav">Beranda</a>
                    </li>
					<li>
                        <a href="/about" class="nav-link nav-item button-nav">Profil</a>
                    </li>
					<li>
                        <a href="/library" class="nav-link nav-item button-nav">Library</a>
                    </li>
                    <li class=" align-items-center d-flex">
                        <div class="custom-control custom-switch">
                            <input type="checkbox" class="custom-control-input" id="toggle-neon">
                            <label class="custom-control-label" for="toggle-neon">Neon Mode</label>
                        </div>
                    </li>
                    <li>
                        <a href="{% url 'login:login' %}" class="btn btn-primary mx-2">Login</a>
                    </li>

                </ul>
            </div>
        </nav>
    
        {% block content_block %}
        {% endblock content_block %}

        <!-- jQuery first, then Popper.js, then Bootstrap JS -->
        <script
			  src="https://code.jquery.com/jquery-3.4.1.js"
			  integrity="sha256-WpOohJOqMqqyKL9FccASB9O0KwACQJpFTUBLTYOVvVU="
			  crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
        <script src="{% static 'js/landingPage.js' %}"></script>
        <script src="{% static 'js/about-me.js' %}"></script>
        <script src="{% static 'js/library.js' %}"></script>
    </body>
</html>

templates/landingPage/about-me.html
{% extends 'base.html' %}
{% load staticfiles %}

{% block content_block %}
    <div class="about-me-container col-10 container text-center my-3">
        <div class="container row d-flex justify-content-center mx-auto">
            <div class="foto-biodata-container container col-md-6">
                <img src="{% static 'img/foto_andhika.png'%}" alt="foto-andhika" id="foto-andhika" class="img-fluid">
            </div>
            <div class="biodata-container container col-md-6 my-auto">
                <p>Selamat Pagi!</h1>
                <p>Halo namaku Andhika Yusup. Website ini ditujukan sebagai tempat mengenal saya</p>
            </div>
        </div>
    </div>    

    <div class="accordion-container container-fluid col-10">
        <button class="accordion">Aktivitas</button>
        <div class="panel">
            <p>KULIAH - NGODING - SANTUY</p>
        </div>
        
        <button class="accordion">Pengalaman Organisasi</button>
        <div class="panel">
            <p>Banyak shh hehe</p>
        </div>
        
        <button class="accordion">Prestasi</button>
        <div class="panel">
            <p>GAPUNYA:(</p>
        </div> 
        
    </div>
    
    
    
{% endblock content_block %}

templates/landingPage/index.html
{% extends 'base.html' %}
{% load staticfiles %}

{% block content_block %}

    <div class="container col-10 col-md-8 container-welcome-message mt-5 d-flex align-items-end justify-content-center">
        <!-- Welcome Message -->
        <h1 class="display-1" id="tulisanDepan"><span class="flickering-3">H</span>alo <span class="flickering-1">A</span>ndh<span class="flickering-3">i</span><span class="flickering-2">k</span>A<span class="flickering-3">!</span></h1>
    </div>
    
    <div class="container col-10 col-md-8 mx-auto container-status-form">
        <!-- Status Form -->
        <form action="{% url 'landingPage:add' %}" method="POST">
            {% csrf_token %}
            {{form.as_p}}
            <div class="button-container">
                <input type="submit" class="btn btn-primary" id="statusSubmit" name="submit" value="Tweet">
            </div>
        </form>
    </div>

    <div class="container col-10 col-md-8 mx-auto mt-5 pt-5">
        <!-- Tweets -->
        {% for data in data %}
            <div class="card my-2">
                <div class="card-body">
                        {{data.status}}
                </div>
                <h6 class="card-subtitle ml-auto m-1 text-muted">{{data.timestamp}}</h6>
            </div>
            
        {% endfor %}    
    </div>
    
    
    {% endblock content_block %}

templates/library/library.html
{% extends 'base.html' %}
{% load staticfiles %}

{% block content_block %}

<div class="container col-10 col-md-8 container-library-title mt-5 d-flex align-items-end justify-content-center">
    <!-- Welcome Message -->
    <h1 class="display-1" id="tulisanDepan"><span class="flickering-3">S</span>EA<span class="flickering-1">RC</span>H BO<span class="flickering-3">O</span><span class="flickering-2">K</span>S<span class="flickering-3">!</span></h1>
</div>

<div class="container col-10 col-md-8 mx-auto container-book-search">
    <input class="form-control" type="text" placeholder="Search" id="search-book-box" aria-label="Search">
    <div class="button-container mt-2 d-flex justify-content-end">
        <input type="submit" class="btn btn-primary" id="search-button" name="search-button" value="Search">
    </div>
</div>

<div class="container col-10 d-flex flex-wrap justify-content-around hasil mt-5">
</div>

{% endblock content_block %}

templates/login/login.html
{% extends 'base.html' %}
{% load staticfiles %}


{% block content_block %}

<div class="container-fluid container-login-page d-flex align-items-center col-12 justify-content-center">
        <div class=" container row col-4">
            <p id="header-login-page" class="h1">Login</p>
            <div class="container container-login border border-secondary rounded-lg p-3">

                <form method="POST"action="{% url 'login:login'%}" >
                        {% csrf_token %}
                        <label for="username" class="ml-2">Username: </label>
                        <input type="text" name="username" id="username" class="form-control">
                        <br>
                        
                        <label for="password" class="ml-2">Password: </label>
                        <input type="password" name="password" id="password" class="form-control" >
                
                        <br>
                    <button type="submit" class="btn btn-primary btn-sm float-right" name="login-button">Login</button>

                </form>
            </div>
        </div>
    </div>


{% endblock content_block %}